Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jsf
Class SeamPortletPhaseListener

    java.lang.Object
      org.jboss.seam.jsf.AbstractSeamPhaseListener
          org.jboss.seam.jsf.SeamPortletPhaseListener

All Implemented Interfaces:
  Serializable, EventListener, javax.faces.event.PhaseListener

Direct Known Subclasses:
  TransactionalSeamPortletPhaseListener

    public class SeamPortletPhaseListener

extends AbstractSeamPhaseListener

Manages the Seam contexts associated with a JSF portlet request. Manages the thread/context associations throughout the lifecycle of the JSF request.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`SeamPortletPhaseListener()`

Method Summary
`void` | `afterPhase(javax.faces.event.PhaseEvent event)`
`void` | `beforePhase(javax.faces.event.PhaseEvent event)`
`protected void` | `handleTransactionsAfterPhase(javax.faces.event.PhaseEvent event)`
`protected void` | `handleTransactionsBeforePhase(javax.faces.event.PhaseEvent event)`

Methods inherited from class org.jboss.seam.jsf.AbstractSeamPhaseListener
`addTransactionFailedMessage, afterInvokeApplication, afterProcessValidations, afterRender, afterResponseComplete, afterRestoreView, beforeRender, getPhaseId, handleTransactionsAfterPageActions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeamPortletPhaseListener

    public SeamPortletPhaseListener()

Method Detail

### beforePhase

    public void beforePhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `beforePhase` in interface `javax.faces.event.PhaseListener`
  Overrides:
    `beforePhase` in class `AbstractSeamPhaseListener`

### afterPhase

    public void afterPhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `afterPhase` in interface `javax.faces.event.PhaseListener`
  Overrides:
    `afterPhase` in class `AbstractSeamPhaseListener`

### handleTransactionsAfterPhase

    protected void handleTransactionsAfterPhase(javax.faces.event.PhaseEvent event)

### handleTransactionsBeforePhase

    protected void handleTransactionsBeforePhase(javax.faces.event.PhaseEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD